summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarek Szuba <marecki@gentoo.org>2021-12-09 12:38:51 +0000
committerMarek Szuba <marecki@gentoo.org>2021-12-13 10:05:49 +0000
commit32028794994c13281aba222dab8eee2eff91a0ee (patch)
tree236b9871fbb5d35b095b9347f5d91eb06ad9980b /eclass/gnome2-utils.eclass
parentdev-python/lxml: Stabilize 4.6.5 sparc, #829067 (diff)
downloadgentoo-32028794994c13281aba222dab8eee2eff91a0ee.tar.gz
gentoo-32028794994c13281aba222dab8eee2eff91a0ee.tar.bz2
gentoo-32028794994c13281aba222dab8eee2eff91a0ee.zip
gnome2-utils.eclass: phase out emktemp
Has been deprecated for quite a while now, comes from eutils.eclass so it blocks EAPI 8+. Just call mktemp directly. Signed-off-by: Marek Szuba <marecki@gentoo.org>
Diffstat (limited to 'eclass/gnome2-utils.eclass')
-rw-r--r--eclass/gnome2-utils.eclass7
1 files changed, 3 insertions, 4 deletions
diff --git a/eclass/gnome2-utils.eclass b/eclass/gnome2-utils.eclass
index f7d45090f820..39c4797eedf3 100644
--- a/eclass/gnome2-utils.eclass
+++ b/eclass/gnome2-utils.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: gnome2-utils.eclass
@@ -16,10 +16,9 @@
# * scrollkeeper (old Gnome help system) management
[[ ${EAPI} == 5 ]] && inherit multilib
-# eutils.eclass: emktemp
# toolchain-funs.eclass: tc-is-cross-compiler
# xdg-utils.eclass: xdg_environment_reset, xdg_icon_cache_update
-inherit eutils toolchain-funcs xdg-utils
+inherit toolchain-funcs xdg-utils
case ${EAPI} in
5|6|7) ;;
@@ -379,7 +378,7 @@ gnome2_gdk_pixbuf_update() {
fi
ebegin "Updating gdk-pixbuf loader cache"
- local tmp_file=$(emktemp)
+ local tmp_file=$(mktemp "${T}"/tmp.XXXXXXXXXX) || die "Failed to create temporary file"
${updater} 1> "${tmp_file}" &&
chmod 0644 "${tmp_file}" &&
cp -f "${tmp_file}" "${EROOT%/}/usr/$(get_libdir)/gdk-pixbuf-2.0/2.10.0/loaders.cache" &&